"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = require("react");

var _react2 = require("@emotion/react");

var _text = _interopRequireDefault(require("./text.partial"));

/** @jsx jsx */
var flexAlignItemsMap = {
  center: (0, _react2.css)({
    alignItems: 'center'
  }),
  baseline: (0, _react2.css)({
    alignItems: 'baseline'
  }),
  flexStart: (0, _react2.css)({
    alignItems: 'flex-start'
  }),
  flexEnd: (0, _react2.css)({
    alignItems: 'flex-end'
  }),
  start: (0, _react2.css)({
    alignItems: 'start'
  }),
  end: (0, _react2.css)({
    alignItems: 'end'
  })
};
var flexJustifyContentMap = {
  center: (0, _react2.css)({
    justifyContent: 'center'
  }),
  flexStart: (0, _react2.css)({
    justifyContent: 'flex-start'
  }),
  flexEnd: (0, _react2.css)({
    justifyContent: 'flex-end'
  }),
  start: (0, _react2.css)({
    justifyContent: 'start'
  }),
  end: (0, _react2.css)({
    justifyContent: 'end'
  })
};
var flexWrapMap = {
  wrap: (0, _react2.css)({
    flexWrap: 'wrap'
  })
};
var baseStyles = (0, _react2.css)({
  display: 'flex',
  boxSizing: 'border-box',
  flexDirection: 'row'
});
/**
 * __Inline__
 *
 * Inline is a primitive component based on flexbox that manages the horizontal layout of direct children.
 * Renders a `div` by default.
 *
 */

var Inline = /*#__PURE__*/(0, _react.forwardRef)(function (_ref, ref) {
  var gap = _ref.gap,
      alignItems = _ref.alignItems,
      justifyContent = _ref.justifyContent,
      flexWrap = _ref.flexWrap,
      divider = _ref.divider,
      UNSAFE_style = _ref.UNSAFE_style,
      children = _ref.children,
      testId = _ref.testId;
  var dividerComponent = typeof divider === 'string' ? (0, _react2.jsx)(_text.default, null, divider) : divider;
  return (0, _react2.jsx)("div", {
    style: UNSAFE_style,
    css: [baseStyles, gap && columnGapMap[gap], alignItems && flexAlignItemsMap[alignItems], justifyContent && flexJustifyContentMap[justifyContent], flexWrap && flexWrapMap[flexWrap]],
    "data-testid": testId,
    ref: ref
  }, _react.Children.map(children, function (child, index) {
    return (0, _react2.jsx)(_react.Fragment, null, divider && index > 0 ? dividerComponent : null, child);
  }));
});
Inline.displayName = 'Inline';
var _default = Inline;
/**
 * THIS SECTION WAS CREATED VIA CODEGEN DO NOT MODIFY {@see http://go/af-codegen}
 * @codegen <<SignedSource::cff5655983f2243060cade5b107d7762>>
 * @codegenId spacing
 * @codegenCommand yarn codegen-styles
 * @codegenParams ["columnGap"]
 * @codegenDependency ../../../tokens/src/artifacts/tokens-raw/atlassian-light.tsx <<SignedSource::0c1fe9904b2ff2465a532b97ab76491e>>
 */

exports.default = _default;
var columnGapMap = {
  'scale.0': (0, _react2.css)({
    columnGap: "var(--ds-scale-0, 0px)"
  }),
  'scale.025': (0, _react2.css)({
    columnGap: "var(--ds-scale-025, 2px)"
  }),
  'scale.050': (0, _react2.css)({
    columnGap: "var(--ds-scale-050, 4px)"
  }),
  'scale.075': (0, _react2.css)({
    columnGap: "var(--ds-scale-075, 6px)"
  }),
  'scale.100': (0, _react2.css)({
    columnGap: "var(--ds-scale-100, 8px)"
  }),
  'scale.150': (0, _react2.css)({
    columnGap: "var(--ds-scale-150, 12px)"
  }),
  'scale.200': (0, _react2.css)({
    columnGap: "var(--ds-scale-200, 16px)"
  }),
  'scale.250': (0, _react2.css)({
    columnGap: "var(--ds-scale-250, 20px)"
  }),
  'scale.300': (0, _react2.css)({
    columnGap: "var(--ds-scale-300, 24px)"
  }),
  'scale.400': (0, _react2.css)({
    columnGap: "var(--ds-scale-400, 32px)"
  }),
  'scale.500': (0, _react2.css)({
    columnGap: "var(--ds-scale-500, 40px)"
  }),
  'scale.600': (0, _react2.css)({
    columnGap: "var(--ds-scale-600, 48px)"
  })
};
/**
 * @codegenEnd
 */